Index: issm/trunk/packagers/win10/ISSM.initial.aip
===================================================================
--- issm/trunk/packagers/win10/ISSM.initial.aip	(revision 23297)
+++ 	(revision )
@@ -1,161 +1,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
-<DOCUMENT Type="Advanced Installer" CreateVersion="8.9" version="10.1" Modules="simple" RootPath="." Language="en" Id="{36DC7549-63BC-4A22-AE82-A96C27BF7B21}">
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiPropsComponent">
-    <ROW Property="ALLUSERS" Value="2"/>
-    <ROW Property="ARPCOMMENTS" Value="This installer database contains the logic and data required to install [|ProductName]." ValueLocId="*"/>
-    <ROW Property="ARPCONTACT" Value="Eric Larour, Helene Seroussi and Mathieu Morlighem"/>
-    <ROW Property="ARPHELPTELEPHONE" Value="001 (818) 393-2435"/>
-    <ROW Property="ARPURLINFOABOUT" Value="http://issm.jpl.nasa.gov"/>
-    <ROW Property="CTRLS" Value="1"/>
-    <ROW Property="Manufacturer" Value="JPL-UCI" ValueLocId="*"/>
-    <ROW Property="ProductCode" Value="1033:{387D11EC-1489-4A6F-8CA2-BA65601C19BE} " Type="16"/>
-    <ROW Property="ProductLanguage" Value="1033"/>
-    <ROW Property="ProductName" Value="ISSM" ValueLocId="*"/>
-    <ROW Property="ProductVersion" Value="1.0" Type="32"/>
-    <ROW Property="SecureCustomProperties" Value="OLDPRODUCTS;AI_NEWERPRODUCTFOUND"/>
-    <ROW Property="UpgradeCode" Value="{F12D1A74-5079-41A3-A02A-15754B89E390}"/>
-    <ROW Property="VIEWREADME" Value="1" Type="4"/>
-    <ROW Property="WindowsType9X" MultiBuildValue="DefaultBuild:Windows 9x/ME" ValueLocId="-"/>
-    <ROW Property="WindowsType9XDisplay" MultiBuildValue="DefaultBuild:Windows 9x/ME" ValueLocId="-"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiDirsComponent">
-    <ROW Directory="APPDIR" Directory_Parent="TARGETDIR" DefaultDir="APPDIR:." IsPseudoRoot="1"/>
-    <ROW Directory="AppDataFolder" Directory_Parent="TARGETDIR" DefaultDir="AppDat~1|AppDataFolder" IsPseudoRoot="1"/>
-    <ROW Directory="DesktopFolder" Directory_Parent="TARGETDIR" DefaultDir="Deskto~1|DesktopFolder" IsPseudoRoot="1"/>
-    <ROW Directory="InternetExplorer_Dir" Directory_Parent="Microsoft_Dir" DefaultDir="Intern~1|Internet Explorer"/>
-    <ROW Directory="Microsoft_Dir" Directory_Parent="AppDataFolder" DefaultDir="Micros~1|Microsoft"/>
-    <ROW Directory="QuickLaunch_Dir" Directory_Parent="InternetExplorer_Dir" DefaultDir="QuickL~1|Quick Launch"/>
-    <ROW Directory="SHORTCUTDIR" Directory_Parent="TARGETDIR" DefaultDir="SHORTC~1|SHORTCUTDIR" IsPseudoRoot="1"/>
-    <ROW Directory="StartMenuFolder" Directory_Parent="TARGETDIR" DefaultDir="StartM~1|StartMenuFolder" IsPseudoRoot="1"/>
-    <ROW Directory="TARGETDIR" DefaultDir="SourceDir"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiCompsComponent">
-    <ROW Component="ProductInformation" ComponentId="{9BA1DCE1-2716-4161-BFC1-9427FF450B3F}" Directory_="APPDIR" Attributes="4" KeyPath="Version"/>
-    <ROW Component="QuickLaunch" ComponentId="{73BCCA29-216A-4FD5-A030-FFEAC0435857}" Directory_="QuickLaunch_Dir" Attributes="0"/>
-    <ROW Component="SHORTCUTDIR" ComponentId="{92285889-F321-4F14-B289-6895275D45D7}" Directory_="SHORTCUTDIR" Attributes="0"/>
-    <ROW Component="matlabissm.bat" ComponentId="{239E0327-22CA-433B-B84D-609A42F7F608}" Directory_="APPDIR" Attributes="0" KeyPath="matlabissm.bat" Type="0"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiFeatsComponent">
-    <ROW Feature="MainFeature" Title="MainFeature" Description="Description" Display="1" Level="1" Directory_="APPDIR" Attributes="0" Components="ProductInformation QuickLaunch SHORTCUTDIR matlabissm.bat"/>
-    <ATTRIBUTE name="CurrentFeature" value="MainFeature"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiFilesComponent">
-    <ROW File="README.rtf" Component_="matlabissm.bat" FileName="README.rtf" Attributes="0" SourcePath="..\..\bin\README.rtf" SelfReg="false"/>
-    <ROW File="matlabissm.bat" Component_="matlabissm.bat" FileName="matlab~1.bat|matlabissm.bat" Attributes="0" SourcePath="..\..\scripts\matlabissm.bat" SelfReg="false" NextFile="README.rtf"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.BuildComponent">
-    <ROW BuildKey="DefaultBuild" BuildName="DefaultBuild" BuildOrder="1" BuildType="0" Languages="en" InstallationType="4" MsiPackageType="x64"/>
-    <ATTRIBUTE name="CurrentBuild" value="DefaultBuild"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.CacheComponent">
-    <ATTRIBUTE name="Enable" value="false"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.DictionaryComponent">
-    <ROW Path="&lt;AI_DICTS&gt;ui.ail"/>
-    <ROW Path="&lt;AI_DICTS&gt;ui_en.ail"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.FragmentComponent">
-    <ROW Fragment="CommonUI.aip" Path="&lt;AI_FRAGS&gt;CommonUI.aip"/>
-    <ROW Fragment="FolderDlg.aip" Path="&lt;AI_THEMES&gt;classic\fragments\FolderDlg.aip"/>
-    <ROW Fragment="MaintenanceTypeDlg.aip" Path="&lt;AI_THEMES&gt;classic\fragments\MaintenanceTypeDlg.aip"/>
-    <ROW Fragment="MaintenanceWelcomeDlg.aip" Path="&lt;AI_THEMES&gt;classic\fragments\MaintenanceWelcomeDlg.aip"/>
-    <ROW Fragment="SequenceDialogs.aip" Path="&lt;AI_THEMES&gt;classic\fragments\SequenceDialogs.aip"/>
-    <ROW Fragment="Sequences.aip" Path="&lt;AI_FRAGS&gt;Sequences.aip"/>
-    <ROW Fragment="StaticUIStrings.aip" Path="&lt;AI_FRAGS&gt;StaticUIStrings.aip"/>
-    <ROW Fragment="UI.aip" Path="&lt;AI_THEMES&gt;classic\fragments\UI.aip"/>
-    <ROW Fragment="Validation.aip" Path="&lt;AI_FRAGS&gt;Validation.aip"/>
-    <ROW Fragment="VerifyRemoveDlg.aip" Path="&lt;AI_THEMES&gt;classic\fragments\VerifyRemoveDlg.aip"/>
-    <ROW Fragment="VerifyRepairDlg.aip" Path="&lt;AI_THEMES&gt;classic\fragments\VerifyRepairDlg.aip"/>
-    <ROW Fragment="WelcomeDlg.aip" Path="&lt;AI_THEMES&gt;classic\fragments\WelcomeDlg.aip"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiBinaryComponent">
-    <ROW Name="aicustact.dll" SourcePath="&lt;AI_CUSTACTS&gt;aicustact.dll"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiControlComponent">
-    <ATTRIBUTE name="FixedSizeBitmaps" value="0"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiControlEventComponent">
-    <ROW Dialog_="FolderDlg" Control_="Back" Event="NewDialog" Argument="WelcomeDlg" Condition="AI_INSTALL" Ordering="1"/>
-    <ROW Dialog_="WelcomeDlg" Control_="Next" Event="NewDialog" Argument="FolderDlg" Condition="AI_INSTALL" Ordering="1"/>
-    <ROW Dialog_="VerifyReadyDlg" Control_="Back" Event="NewDialog" Argument="FolderDlg" Condition="AI_INSTALL" Ordering="201"/>
-    <ROW Dialog_="FolderDlg" Control_="Next" Event="NewDialog" Argument="VerifyReadyDlg" Condition="AI_INSTALL" Ordering="201"/>
-    <ROW Dialog_="VerifyReadyDlg" Control_="Install" Event="EndDialog" Argument="Return" Condition="AI_INSTALL" Ordering="197"/>
-    <ROW Dialog_="MaintenanceTypeDlg" Control_="Back" Event="NewDialog" Argument="MaintenanceWelcomeDlg" Condition="AI_MAINT" Ordering="1"/>
-    <ROW Dialog_="MaintenanceWelcomeDlg" Control_="Next" Event="NewDialog" Argument="MaintenanceTypeDlg" Condition="AI_MAINT" Ordering="99"/>
-    <ROW Dialog_="CustomizeDlg" Control_="Back" Event="NewDialog" Argument="MaintenanceTypeDlg" Condition="AI_MAINT" Ordering="1"/>
-    <ROW Dialog_="MaintenanceTypeDlg" Control_="ChangeButton" Event="NewDialog" Argument="CustomizeDlg" Condition="AI_MAINT" Ordering="401"/>
-    <ROW Dialog_="VerifyReadyDlg" Control_="Back" Event="NewDialog" Argument="CustomizeDlg" Condition="AI_MAINT" Ordering="202"/>
-    <ROW Dialog_="CustomizeDlg" Control_="Next" Event="NewDialog" Argument="VerifyReadyDlg" Condition="AI_MAINT" Ordering="101"/>
-    <ROW Dialog_="VerifyReadyDlg" Control_="Install" Event="EndDialog" Argument="Return" Condition="AI_MAINT" Ordering="198"/>
-    <ROW Dialog_="VerifyReadyDlg" Control_="Back" Event="NewDialog" Argument="PatchWelcomeDlg" Condition="AI_PATCH" Ordering="203"/>
-    <ROW Dialog_="PatchWelcomeDlg" Control_="Next" Event="NewDialog" Argument="VerifyReadyDlg" Condition="AI_PATCH" Ordering="201"/>
-    <ROW Dialog_="VerifyReadyDlg" Control_="Install" Event="EndDialog" Argument="Return" Condition="AI_PATCH" Ordering="199"/>
-    <ROW Dialog_="ResumeDlg" Control_="Install" Event="EndDialog" Argument="Return" Condition="AI_RESUME" Ordering="299"/>
-    <ROW Dialog_="VerifyRemoveDlg" Control_="Remove" Event="EndDialog" Argument="Return" Condition="AI_MAINT AND InstallMode = &quot;Remove&quot;" Ordering="299"/>
-    <ROW Dialog_="VerifyRepairDlg" Control_="Repair" Event="EndDialog" Argument="Return" Condition="AI_MAINT AND InstallMode = &quot;Repair&quot;" Ordering="399"/>
-    <ROW Dialog_="VerifyRemoveDlg" Control_="Back" Event="NewDialog" Argument="MaintenanceTypeDlg" Condition="AI_MAINT AND InstallMode = &quot;Remove&quot;" Ordering="1"/>
-    <ROW Dialog_="VerifyRepairDlg" Control_="Back" Event="NewDialog" Argument="MaintenanceTypeDlg" Condition="AI_MAINT AND InstallMode = &quot;Repair&quot;" Ordering="1"/>
-    <ROW Dialog_="MaintenanceTypeDlg" Control_="RemoveButton" Event="NewDialog" Argument="VerifyRemoveDlg" Condition="AI_MAINT AND InstallMode = &quot;Remove&quot;" Ordering="601"/>
-    <ROW Dialog_="MaintenanceTypeDlg" Control_="RepairButton" Event="NewDialog" Argument="VerifyRepairDlg" Condition="AI_MAINT AND InstallMode = &quot;Repair&quot;" Ordering="601"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiCreateFolderComponent">
-    <ROW Directory_="SHORTCUTDIR" Component_="SHORTCUTDIR"/>
-    <ROW Directory_="QuickLaunch_Dir" Component_="QuickLaunch"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiCustActComponent">
-    <ROW Action="AI_DOWNGRADE" Type="19" Target="4010"/>
-    <ROW Action="AI_InstallModeCheck" Type="1" Source="aicustact.dll" Target="UpdateInstallMode" WithoutSeq="true"/>
-    <ROW Action="AI_PREPARE_UPGRADE" Type="65" Source="aicustact.dll" Target="PrepareUpgrade"/>
-    <ROW Action="AI_RESTORE_LOCATION" Type="65" Source="aicustact.dll" Target="RestoreLocation"/>
-    <ROW Action="AI_ResolveKnownFolders" Type="1" Source="aicustact.dll" Target="AI_ResolveKnownFolders"/>
-    <ROW Action="AI_ResolveLocalizedCredentials" Type="1" Source="aicustact.dll" Target="GetLocalizedCredentials"/>
-    <ROW Action="AI_SHOW_LOG" Type="65" Source="aicustact.dll" Target="LaunchLogFile" WithoutSeq="true"/>
-    <ROW Action="AI_STORE_LOCATION" Type="51" Source="ARPINSTALLLOCATION" Target="[APPDIR]"/>
-    <ROW Action="AI_ViewReadme" Type="1" Source="aicustact.dll" Target="[#README.rtf]"/>
-    <ROW Action="SET_APPDIR" Type="307" Source="APPDIR" Target="[ProgramFilesFolder][Manufacturer]\[ProductName]" MultiBuildTarget="DefaultBuild:[ProgramFiles64Folder][Manufacturer]\[ProductName]"/>
-    <ROW Action="SET_SHORTCUTDIR" Type="307" Source="SHORTCUTDIR" Target="[ProgramMenuFolder][ProductName]"/>
-    <ROW Action="SET_TARGETDIR_TO_APPDIR" Type="51" Source="TARGETDIR" Target="[APPDIR]"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiEnvComponent">
-    <ROW Environment="ISSM_TESTS_1" Name="=-ISSM_TESTS" Value="[test_Dir]" Component_="ProductInformation"/>
-    <ROW Environment="ISSM_TIER" Name="=-ISSM_TIER" Value="[APPDIR]" Component_="ProductInformation"/>
-    <ROW Environment="ISSM_TIER_WIN" Name="=-ISSM_TIER_WIN" Value="[APPDIR]" Component_="ProductInformation"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiIconsComponent">
-    <ROW Name="matlabissm.exe" SourcePath="ISSMlogo.ico" Index="0"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiInstExSeqComponent">
-    <ROW Action="AI_DOWNGRADE" Condition="AI_NEWERPRODUCTFOUND AND (UILevel &lt;&gt; 5)" Sequence="210"/>
-    <ROW Action="AI_RESTORE_LOCATION" Condition="APPDIR=&quot;&quot;" Sequence="749"/>
-    <ROW Action="AI_STORE_LOCATION" Condition="(Not Installed) OR REINSTALL" Sequence="1501"/>
-    <ROW Action="AI_PREPARE_UPGRADE" Condition="AI_UPGRADE=&quot;No&quot; AND (Not Installed)" Sequence="1399"/>
-    <ROW Action="AI_ResolveKnownFolders" Sequence="52"/>
-    <ROW Action="AI_ResolveLocalizedCredentials" Sequence="51"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiInstallUISequenceComponent">
-    <ROW Action="AI_RESTORE_LOCATION" Condition="APPDIR=&quot;&quot;" Sequence="749"/>
-    <ROW Action="AI_ResolveKnownFolders" Sequence="52"/>
-    <ROW Action="AI_ResolveLocalizedCredentials" Sequence="51"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiLaunchConditionsComponent">
-    <ROW Condition="Privileged" Description="[ProductName] requires administrative privileges to install." DescriptionLocId="AI.LaunchCondition.Privileged" IsPredefined="true" Builds="DefaultBuild"/>
-    <ROW Condition="VersionNT" Description="[ProductName] cannot be installed on [WindowsType9XDisplay]" DescriptionLocId="AI.LaunchCondition.No9X" IsPredefined="true" Builds="DefaultBuild"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiRegsComponent">
-    <ROW Registry="Path" Root="-1" Key="Software\[Manufacturer]\[ProductName]" Name="Path" Value="[APPDIR]" Component_="ProductInformation"/>
-    <ROW Registry="Version" Root="-1" Key="Software\[Manufacturer]\[ProductName]" Name="Version" Value="[ProductVersion]" Component_="ProductInformation"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiShortsComponent">
-    <ROW Shortcut="ISSM" Directory_="SHORTCUTDIR" Name="ISSM" Component_="matlabissm.bat" Target="[#matlabissm.bat]" Hotkey="0" Icon_="matlabissm.exe" IconIndex="0" ShowCmd="1" WkDir="APPDIR"/>
-    <ROW Shortcut="ISSM_1" Directory_="DesktopFolder" Name="ISSM" Component_="matlabissm.bat" Target="[#matlabissm.bat]" Hotkey="0" Icon_="matlabissm.exe" IconIndex="0" ShowCmd="1" WkDir="APPDIR"/>
-    <ROW Shortcut="ISSM_2" Directory_="QuickLaunch_Dir" Name="ISSM" Component_="matlabissm.bat" Target="[#matlabissm.bat]" Hotkey="0" Icon_="matlabissm.exe" IconIndex="0" ShowCmd="1" WkDir="APPDIR"/>
-    <ROW Shortcut="ISSM_3" Directory_="StartMenuFolder" Name="ISSM" Component_="matlabissm.bat" Target="[#matlabissm.bat]" Hotkey="0" Icon_="matlabissm.exe" IconIndex="0" ShowCmd="1" WkDir="APPDIR"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiThemeComponent">
-    <ATTRIBUTE name="UsedTheme" value="classic"/>
-  </COMPONENT>
-  <COMPONENT cid="caphyon.advinst.msicomp.MsiUpgradeComponent">
-    <ROW UpgradeCode="[|UpgradeCode]" VersionMax="[|ProductVersion]" Attributes="1025" ActionProperty="OLDPRODUCTS"/>
-    <ROW UpgradeCode="[|UpgradeCode]" VersionMin="[|ProductVersion]" Attributes="2" ActionProperty="AI_NEWERPRODUCTFOUND"/>
-  </COMPONENT>
-</DOCUMENT>
Index: issm/trunk/packagers/win10/package32.sh
===================================================================
--- issm/trunk/packagers/win10/package32.sh	(revision 23297)
+++ 	(revision )
@@ -1,39 +1,0 @@
-#!/bin/bash
-
-#get brand new project: 
-rm -rf ISSM.aip  ISSM-SetupFiles ISSM.msi
-cp ISSM.initial.aip ISSM.aip
-
-#get windows style path to files
-export ISSM_DIR_WIN=`cygpath -m "$ISSM_DIR"`
-
-#build list of files to put into the installer: 
-rm -rf ISSM.aic 
-cat << END > ISSM.aic
-;aic
-SetVersion "1.0"
-SetPackageName "ISSM.msi"
-END
-
-ls $ISSM_DIR_WIN/scripts/*.bat startup.m  | awk '{printf("AddFile APPDIR %s\n",$1);}' | sed 's/\//\\/g' >> ISSM.aic
-
-cat << END >> ISSM.aic
-AddFolder PersonalFolder $ISSM_DIR_WIN\test
-AddFolder APPDIR $ISSM_DIR_WIN\bin
-NewEnvironment -name ISSM_TESTS -value [test_Dir]
-NewEnvironment -name ISSM_DIR -value [APPDIR]
-NewEnvironment -name ISSM_DIR_WIN -value [APPDIR]
-Save
-Rebuild
-END
-#Not needed anymore? 
-#DelEnvironment ISSM_TESTS
-#DelEnvironment ISSM_DIR
-#DelEnvironment ISSM_DIR_WIN
-
-#Run installer: 
-"C:/Program Files (x86)/Caphyon/Advanced Installer 10.8/bin/x86/AdvancedInstaller.com" /execute  ./ISSM.aip ./ISSM.aic
-
-#Get rid of temporary files: 
-cp ISSM-SetupFiles/ISSM.msi ./
-rm -rf ISSM.aip ISSM-SetupFiles ISSM.aic
Index: issm/trunk/packagers/win10/package64.sh
===================================================================
--- issm/trunk/packagers/win10/package64.sh	(revision 23297)
+++ issm/trunk/packagers/win10/package64.sh	(revision 23298)
@@ -1,53 +1,51 @@
 #!/bin/bash
 
-#get brand new project:
-rm -rf ISSM.aip  ISSM-SetupFiles ISSM.msi
-cp ISSM.initial.aip ISSM.aip
-
-#recover version:
+# Recover version
 version=`svn info | grep Revision | awk '{printf("%s\n",$2);}'`
 
-#get windows style path to files
+# Get windows style path to files
 export ISSM_DIR_WIN=`cygpath -m "$ISSM_DIR"`
 
+# Set path to matlab
+MATLAB=/cygdrive/c/Programs/MATLAB/R2015a/matlab
+
+echo "Making generic_static.m work like generic.m"
+cd $ISSM_DIR/bin
+cat generic_static.m | sed -e "s/generic_static/generic/g" > generic.m
+
+echo "Copying scripts from /src to /bin"
 echo "----------------------------------"
 rm $ISSM_DIR/bin/*.m
-find $ISSM_DIR/src/m -name '*.m' | xargs cp -t $ISSM_DIR/bin/
+find $ISSM_DIR/src/m -name '*.m' | xargs cp -t $ISSM_DIR/bin
 ls $ISSM_DIR/bin
 echo "----------------------------------"
 
-#build list of files to put into the installer:
-rm -rf ISSM.aic
-cat << END > ISSM.aic
-;aic
-SetVersion "$version"
-SetPackageName "ISSM.msi"
-END
+# Check that test 101 runs
+cd $ISSM_DIR/test/NightlyRun
+rm matlab.log
 
-ls $ISSM_DIR_WIN/scripts/*.bat startup.m | awk '{printf("AddFile APPDIR %s\n",$1);}' | sed 's/\//\\/g' >> ISSM.aic
+$MATLAB -nodisplay -nojvm -nosplash -nodesktop -r "try, addpath $ISSM_DIR/bin $ISSM_DIR/lib; runme('id',101);exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log
 
-cat << END >> ISSM.aic
-AddFolder PersonalFolder $ISSM_DIR_WIN\test
-AddFolder PersonalFolder $ISSM_DIR_WIN\examples
-AddFolder APPDIR $ISSM_DIR_WIN\bin
-AddFolder APPDIR $ISSM_DIR_WIN\lib
-NewEnvironment -name ISSM_TESTS -value [test_Dir]
-NewEnvironment -name ISSM_DIR -value [APPDIR]
-NewEnvironment -name ISSM_DIR_WIN -value [APPDIR]
-Save
-Rebuild
-END
-#Not needed anymore?
-#DelEnvironment ISSM_TESTS
-#DelEnvironment ISSM_DIR
-#DelEnvironment ISSM_DIR_WIN
+if [[ $(cat matlab.log | grep -c SUCCESS) -lt 10 ]]; then
+	echo "test101 FAILED"
+	exit 1;
+else
+	echo "test101 passed"
+fi
 
-#Run installer:
-"C:/Program Files (x86)/Caphyon/Advanced Installer 10.8/bin/x86/AdvancedInstaller.com" /execute  ./ISSM.aip ./ISSM.aic
+# Create tarball
+TARBALL_NAME=ISSM-Win10-64.tar.gz
 
-#Get rid of temporary files:
-cp ISSM-SetupFiles/ISSM.msi ./
-rm -rf ISSM.aip ISSM-SetupFiles ISSM.aic
+cd $ISSM_DIR
+rm $tarball_name
+rm -rf trunk
+mkdir trunk
+
+echo "Creating tarball: ${TARBALL_NAME}"
+cp -rf bin lib test examples scripts trunk/
+tar -czf $TARBALL_NAME trunk
+ls -lah $TARBALL_NAME
+
 
 #To upload to website:
-scp ISSM.msi websites:/home/larour/files/ISSM_Installer-Win_10-64-bit.msi
+scp $TARBALL_NAME websites:/home/larour/files/$TARBALL_NAME
Index: issm/trunk/packagers/win10/startup.m
===================================================================
--- issm/trunk/packagers/win10/startup.m	(revision 23297)
+++ 	(revision )
@@ -1,47 +1,0 @@
-%STARTUP - Matlab startup script
-%
-%   startup.m is a script run by matlab at the beginning of a session, just
-%   before handing over the prompt to the user. This delivery startup.m script
-%   has been customized here for the ISSM code. This startup script should be
-%   run by users before trying to use ISSM. The best way to do that is to put
-%   the startup file in the location where Matlab starts and established its
-%   root directory.
-
-% clear the last warning to focus on the warnings of the ISSM path
-lastwarn(''); 
-
-%Recover ISSM_TIER , or if on a Windows machine, ISSM_TIER_WIN
-ISSM_TIER=getenv('ISSM_TIER_WIN');
-
-if (isempty(ISSM_TIER)),
-	error('issmdir error message: ''ISSM_TIER'' environment variable is empty! You should define ISSM_TIER in your .cshrc or .bashrc!');
-end
-
-%Now add all issm code paths necessary to run issm smoothly. 
-%We capture the error output, so that we can warn the user to update 
-%the variable ISSM_TIER in this file, in case it is not correctly setup. 
-
-%ISSM path
-addpath(pwd); %add current path first
-addpath([pwd '\bin']);
-addpath([pwd '\lib']);
-
-%Check on any warning messages that might indicate that the paths were not correct. 
-if ~isempty(lastwarn),
-	fprintf('\n  Error trying to setup ''ISSM'' code paths. Try and update the ISSM_TIER variable in your .cshrc or .bashrc!\n');
-	fprintf('  ''ISSM'' will not  work at all until this is resolved\n\n');
-else
-	fprintf('\n  To get started with ISSM, type issmdoc at the command prompt.\n\n');
-end
-
-%disable matlab bell!
-beep off;
-
-% no warning if we try to plot while in nojvm (will not be supported in future releases)
-warning off MATLAB:HandleGraphics:noJVM
-
-%at the end, get to tests directory if ISSM_TESTS exists: 
-ISSM_TESTS=getenv('ISSM_TESTS');
-if ~isempty(ISSM_TESTS),
-	cd(ISSM_TESTS);
-end