Index: issm/trunk-jpl/src/m/classes/slr.py
===================================================================
--- issm/trunk-jpl/src/m/classes/slr.py	(revision 23088)
+++ issm/trunk-jpl/src/m/classes/slr.py	(revision 23716)
@@ -9,13 +9,12 @@
 	"""
 	SLR class definition
-	
+
 		Usage:
 		  slr=slr()
 	"""
-	
 	def __init__(self): # {{{
 		self.deltathickness         = float('NaN')
 		self.sealevel               = float('NaN')
-		self.spcthickness	    = float('NaN')
+		self.spcthickness						= float('NaN')
 		self.maxiter                = 0
 		self.reltol                 = 0
@@ -26,7 +25,7 @@
 		self.tide_love_k            = 0 #ideam
 		self.tide_love_h            = 0 #ideam
-		self.fluid_love             = 0 
-		self.equatorial_moi         = 0 
-		self.polar_moi	            = 0 
+		self.fluid_love             = 0
+		self.equatorial_moi         = 0
+		self.polar_moi	            = 0
 		self.angular_velocity       = 0
 		self.rigid                  = 0
@@ -44,11 +43,12 @@
 		self.requested_outputs      = []
 		self.transitions            = []
-		
+
 		#set defaults
 		self.setdefaultparameters()
 		#}}}
+
 	def __repr__(self): # {{{
 			string='   slr parameters:'
-                        string="%s\n%s"%(string,fielddisplay(self,'deltathickness','thickness change: ice height equivalent [m]'))
+			string="%s\n%s"%(string,fielddisplay(self,'deltathickness','thickness change: ice height equivalent [m]'))
 			string="%s\n%s"%(string,fielddisplay(self,'sealevel','current sea level (prior to computation) [m]'))
 			string="%s\n%s"%(string,fielddisplay(self,'spcthickness','thickness constraints (NaN means no constraint) [m]'))
@@ -64,8 +64,8 @@
 			string="%s\n%s"%(string,fielddisplay(self,'equatorial_moi','mean equatorial moment of inertia [kg m^2]'))
 			string="%s\n%s"%(string,fielddisplay(self,'polar_moi','polar moment of inertia [kg m^2]'))
-			string="%s\n%s"%(string,fielddisplay(self,'angular_velocity','mean rotational velocity of earth [per second]')) 
+			string="%s\n%s"%(string,fielddisplay(self,'angular_velocity','mean rotational velocity of earth [per second]'))
 			string="%s\n%s"%(string,fielddisplay(self,'ocean_area_scaling','correction for model representation of ocean area [default: No correction]'))
 			string="%s\n%s"%(string,fielddisplay(self,'steric_rate','rate of steric ocean expansion [mm/yr]'))
-			string="%s\n%s"%(string,fielddisplay(self,'Ngia','rate of viscous (GIA) geoid expansion (in mm/yr)')) 
+			string="%s\n%s"%(string,fielddisplay(self,'Ngia','rate of viscous (GIA) geoid expansion (in mm/yr)'))
 			string="%s\n%s"%(string,fielddisplay(self,'Ugia','rate of viscous (GIA) bedrock uplift (in mm/yr)'))
 			string="%s\n%s"%(string,fielddisplay(self,'loop_increment','vector assembly (in the convolution) framentation'))
@@ -81,57 +81,57 @@
 			return string
 		# }}}
+
 	def setdefaultparameters(self): # {{{
-		
 		#Convergence criterion: absolute, relative and residual
-		self.reltol=0.01 #default
-		self.abstol=float('NaN') #1 mm of sea level rise
+		self.reltol	=	0.01 #default
+		self.abstol	=	float('NaN') #1 mm of sea level rise
 
 		#maximum of non-linear iterations.
-		self.maxiter=5
-		self.loop_increment=200
-
-		#computational flags: 
-		self.geodetic=0
-		self.rigid=1
-		self.elastic=1
-		self.ocean_area_scaling=0
-		self.rotation=1
-
-		#tidal love numbers: 
-		self.tide_love_h=0.6149 #degree 2
-		self.tide_love_k=0.3055 #degree 2
-		
-      #secular fluid love number: 
-		self.fluid_love=0.942 
-		
-		#moment of inertia: 
-		self.equatorial_moi=8.0077*10**37 # [kg m^2] 
-		self.polar_moi	    =8.0345*10**37 # [kg m^2] 
-		
-		#mean rotational velocity of earth 
-		self.angular_velocity=7.2921*10**-5 # [s^-1] 
+		self.maxiter				=	5
+		self.loop_increment	=	200
+
+		#computational flags:
+		self.geodetic						=	0
+		self.rigid							=	1
+		self.elastic						=	1
+		self.ocean_area_scaling	=	0
+		self.rotation						=	1
+
+		#tidal love numbers:
+		self.tide_love_h = 0.6149 #degree 2
+		self.tide_love_k = 0.3055 #degree 2
+
+      #secular fluid love number:
+		self.fluid_love	=	0.942
+
+		#moment of inertia:
+		self.equatorial_moi	=	8.0077*10**37 # [kg m^2]
+		self.polar_moi	    =	8.0345*10**37 # [kg m^2]
+
+		#mean rotational velocity of earth
+		self.angular_velocity	=	7.2921*10**-5 # [s^-1]
 
 		#numerical discretization accuracy
-		self.degacc=.01
+		self.degacc	=	.01
 
 		#steric:
-		self.steric_rate=0
+		self.steric_rate = 0
 
 		#how many time steps we skip before we run SLR solver during transient
-		self.geodetic_run_frequency=1
-		
+		self.geodetic_run_frequency	=	1
+
 		#output default:
-		self.requested_outputs=['default']
-
-		#transitions should be a cell array of vectors: 
-		self.transitions=[]
+		self.requested_outputs = ['default']
+
+		#transitions should be a cell array of vectors:
+		self.transitions = []
 
 		#horizontal displacement?  (not by default)
-		self.horiz=0
+		self.horiz = 0
 
 		return self
 		#}}}
+
 	def checkconsistency(self,md,solution,analyses):    # {{{
-
 		#Early return
 		if (solution!='SealevelriseAnalysis'):
@@ -162,24 +162,26 @@
 		md = checkfield(md,'fieldname','slr.Ugia','NaN',1,'Inf',1,'size',[md.mesh.numberofvertices])
 
-		#check that love numbers are provided at the same level of accuracy: 
+		#check that love numbers are provided at the same level of accuracy:
 		if (size(self.love_h,0) != size(self.love_k,0) | size(self.love_h,0) != size(self.love_l,0)):
 			error('slr error message: love numbers should be provided at the same level of accuracy')
 
-		#cross check that whereever we have an ice load, the mask is <0 on each vertex: 
+		#cross check that whereever we have an ice load, the mask is <0 on each vertex:
 		pos=np.where(self.deltathickness)
-		maskpos=md.mask.ice_levelset[md.mesh.elements[pos,:]] 
+		maskpos=md.mask.ice_levelset[md.mesh.elements[pos,:]]
 		els=np.where(maskpos>0)
 		if len(els[0])>0:
 			warnings.warn('slr checkconsistency fail: there are elements with ice loads where some vertices are not on the ice!')
-		
-		#check that  if geodetic is requested, we are a mesh3dsurface model (planet), or if we are not, 
-		#a coupler to a planet model is provided. 
+
+		#check that  if geodetic is requested, we are a mesh3dsurface model (planet), or if we are not,
+		#a coupler to a planet model is provided.
 		if self.geodetic and not md.transient.iscoupler and domaintype(md.mesh)!='mesh3dsurface':
 			error('model is requesting geodetic computations without being a mesh3dsurface, or being coupled to one!')
 		return md
 	# }}}
+
 	def defaultoutputs(self,md): # {{{
 		return ['Sealevel']
 	# }}}
+
 	def marshall(self,prefix,md,fid): # {{{
 		WriteData(fid,prefix,'object',self,'fieldname','deltathickness','format','DoubleMat','mattype',2)
@@ -211,5 +213,5 @@
 		WriteData(fid,prefix,'object',self,'fieldname','horiz','format','Integer')
 		WriteData(fid,prefix,'object',self,'fieldname','geodetic','format','Integer')
-	
+
 		#process requested outputs
 		outputs = self.requested_outputs