Index: issm/trunk-jpl/src/c/shared/Enum/EnumDefinitions.h
===================================================================
--- issm/trunk-jpl/src/c/shared/Enum/EnumDefinitions.h	(revision 23863)
+++ issm/trunk-jpl/src/c/shared/Enum/EnumDefinitions.h	(revision 23864)
@@ -304,5 +304,4 @@
 	SealevelriseRunCountEnum,
 	SealevelriseTidalLoveHEnum,
-	SealevelriseSpcthicknessEnum,
 	SealevelriseTidalLoveKEnum,
 	SealevelriseTransitionsEnum,
@@ -506,4 +505,5 @@
 	EsaNmotionEnum,
 	EsaUmotionEnum,
+	EsaRotationrateEnum,
 	EsaStrainratexxEnum,
 	EsaStrainratexyEnum,
@@ -609,4 +609,5 @@
 	SealevelUEsaEnum,
 	SealevelRSLEustaticRateEnum,
+	SealevelriseSpcthicknessEnum,
 	SealevelNEsaEnum,
 	SealevelUGiaEnum,
@@ -951,5 +952,4 @@
 	EnthalpyAnalysisEnum,
 	EsaAnalysisEnum,
-	EsaRotationrateEnum,
 	EsaSolutionEnum,
 	EsaTransitionsEnum,
Index: issm/trunk-jpl/src/c/shared/Enum/EnumToStringx.cpp
===================================================================
--- issm/trunk-jpl/src/c/shared/Enum/EnumToStringx.cpp	(revision 23863)
+++ issm/trunk-jpl/src/c/shared/Enum/EnumToStringx.cpp	(revision 23864)
@@ -312,5 +312,4 @@
 		case SealevelriseRunCountEnum : return "SealevelriseRunCount";
 		case SealevelriseTidalLoveHEnum : return "SealevelriseTidalLoveH";
-		case SealevelriseSpcthicknessEnum : return "SealevelriseSpcthickness";
 		case SealevelriseTidalLoveKEnum : return "SealevelriseTidalLoveK";
 		case SealevelriseTransitionsEnum : return "SealevelriseTransitions";
@@ -512,4 +511,5 @@
 		case EsaNmotionEnum : return "EsaNmotion";
 		case EsaUmotionEnum : return "EsaUmotion";
+		case EsaRotationrateEnum : return "EsaRotationrate";
 		case EsaStrainratexxEnum : return "EsaStrainratexx";
 		case EsaStrainratexyEnum : return "EsaStrainratexy";
@@ -615,4 +615,5 @@
 		case SealevelUEsaEnum : return "SealevelUEsa";
 		case SealevelRSLEustaticRateEnum : return "SealevelRSLEustaticRate";
+		case SealevelriseSpcthicknessEnum : return "SealevelriseSpcthickness";
 		case SealevelNEsaEnum : return "SealevelNEsa";
 		case SealevelUGiaEnum : return "SealevelUGia";
@@ -955,5 +956,4 @@
 		case EnthalpyAnalysisEnum : return "EnthalpyAnalysis";
 		case EsaAnalysisEnum : return "EsaAnalysis";
-		case EsaRotationrateEnum : return "EsaRotationrate";
 		case EsaSolutionEnum : return "EsaSolution";
 		case EsaTransitionsEnum : return "EsaTransitions";
Index: issm/trunk-jpl/src/c/shared/Enum/StringToEnumx.cpp
===================================================================
--- issm/trunk-jpl/src/c/shared/Enum/StringToEnumx.cpp	(revision 23863)
+++ issm/trunk-jpl/src/c/shared/Enum/StringToEnumx.cpp	(revision 23864)
@@ -318,5 +318,4 @@
 	      else if (strcmp(name,"SealevelriseRunCount")==0) return SealevelriseRunCountEnum;
 	      else if (strcmp(name,"SealevelriseTidalLoveH")==0) return SealevelriseTidalLoveHEnum;
-	      else if (strcmp(name,"SealevelriseSpcthickness")==0) return SealevelriseSpcthicknessEnum;
 	      else if (strcmp(name,"SealevelriseTidalLoveK")==0) return SealevelriseTidalLoveKEnum;
 	      else if (strcmp(name,"SealevelriseTransitions")==0) return SealevelriseTransitionsEnum;
@@ -383,9 +382,9 @@
 	      else if (strcmp(name,"SolutionType")==0) return SolutionTypeEnum;
 	      else if (strcmp(name,"SteadystateMaxiter")==0) return SteadystateMaxiterEnum;
+	      else if (strcmp(name,"SteadystateNumRequestedOutputs")==0) return SteadystateNumRequestedOutputsEnum;
          else stage=4;
    }
    if(stage==4){
-	      if (strcmp(name,"SteadystateNumRequestedOutputs")==0) return SteadystateNumRequestedOutputsEnum;
-	      else if (strcmp(name,"SteadystateReltol")==0) return SteadystateReltolEnum;
+	      if (strcmp(name,"SteadystateReltol")==0) return SteadystateReltolEnum;
 	      else if (strcmp(name,"SteadystateRequestedOutputs")==0) return SteadystateRequestedOutputsEnum;
 	      else if (strcmp(name,"Step")==0) return StepEnum;
@@ -506,9 +505,9 @@
 	      else if (strcmp(name,"DrivingStressX")==0) return DrivingStressXEnum;
 	      else if (strcmp(name,"DrivingStressY")==0) return DrivingStressYEnum;
+	      else if (strcmp(name,"EffectivePressureHydrostep")==0) return EffectivePressureHydrostepEnum;
          else stage=5;
    }
    if(stage==5){
-	      if (strcmp(name,"EffectivePressureHydrostep")==0) return EffectivePressureHydrostepEnum;
-	      else if (strcmp(name,"EffectivePressureStacked")==0) return EffectivePressureStackedEnum;
+	      if (strcmp(name,"EffectivePressureStacked")==0) return EffectivePressureStackedEnum;
 	      else if (strcmp(name,"EffectivePressure")==0) return EffectivePressureEnum;
 	      else if (strcmp(name,"Enthalpy")==0) return EnthalpyEnum;
@@ -524,4 +523,5 @@
 	      else if (strcmp(name,"EsaNmotion")==0) return EsaNmotionEnum;
 	      else if (strcmp(name,"EsaUmotion")==0) return EsaUmotionEnum;
+	      else if (strcmp(name,"EsaRotationrate")==0) return EsaRotationrateEnum;
 	      else if (strcmp(name,"EsaStrainratexx")==0) return EsaStrainratexxEnum;
 	      else if (strcmp(name,"EsaStrainratexy")==0) return EsaStrainratexyEnum;
@@ -627,10 +627,11 @@
 	      else if (strcmp(name,"SealevelUEsa")==0) return SealevelUEsaEnum;
 	      else if (strcmp(name,"SealevelRSLEustaticRate")==0) return SealevelRSLEustaticRateEnum;
+	      else if (strcmp(name,"SealevelriseSpcthickness")==0) return SealevelriseSpcthicknessEnum;
 	      else if (strcmp(name,"SealevelNEsa")==0) return SealevelNEsaEnum;
-	      else if (strcmp(name,"SealevelUGia")==0) return SealevelUGiaEnum;
          else stage=6;
    }
    if(stage==6){
-	      if (strcmp(name,"SealevelNGia")==0) return SealevelNGiaEnum;
+	      if (strcmp(name,"SealevelUGia")==0) return SealevelUGiaEnum;
+	      else if (strcmp(name,"SealevelNGia")==0) return SealevelNGiaEnum;
 	      else if (strcmp(name,"SealevelRSL")==0) return SealevelRSLEnum;
 	      else if (strcmp(name,"SealevelRSLEustatic")==0) return SealevelRSLEustaticEnum;
@@ -751,9 +752,9 @@
 	      else if (strcmp(name,"SurfaceAbsMisfit")==0) return SurfaceAbsMisfitEnum;
 	      else if (strcmp(name,"SurfaceAbsVelMisfit")==0) return SurfaceAbsVelMisfitEnum;
-	      else if (strcmp(name,"SurfaceArea")==0) return SurfaceAreaEnum;
          else stage=7;
    }
    if(stage==7){
-	      if (strcmp(name,"SurfaceAverageVelMisfit")==0) return SurfaceAverageVelMisfitEnum;
+	      if (strcmp(name,"SurfaceArea")==0) return SurfaceAreaEnum;
+	      else if (strcmp(name,"SurfaceAverageVelMisfit")==0) return SurfaceAverageVelMisfitEnum;
 	      else if (strcmp(name,"SurfaceCrevasse")==0) return SurfaceCrevasseEnum;
 	      else if (strcmp(name,"Surface")==0) return SurfaceEnum;
@@ -874,9 +875,9 @@
 	      else if (strcmp(name,"Outputdefinition7")==0) return Outputdefinition7Enum;
 	      else if (strcmp(name,"Outputdefinition80")==0) return Outputdefinition80Enum;
-	      else if (strcmp(name,"Outputdefinition81")==0) return Outputdefinition81Enum;
          else stage=8;
    }
    if(stage==8){
-	      if (strcmp(name,"Outputdefinition82")==0) return Outputdefinition82Enum;
+	      if (strcmp(name,"Outputdefinition81")==0) return Outputdefinition81Enum;
+	      else if (strcmp(name,"Outputdefinition82")==0) return Outputdefinition82Enum;
 	      else if (strcmp(name,"Outputdefinition83")==0) return Outputdefinition83Enum;
 	      else if (strcmp(name,"Outputdefinition84")==0) return Outputdefinition84Enum;
@@ -976,5 +977,4 @@
 	      else if (strcmp(name,"EnthalpyAnalysis")==0) return EnthalpyAnalysisEnum;
 	      else if (strcmp(name,"EsaAnalysis")==0) return EsaAnalysisEnum;
-	      else if (strcmp(name,"EsaRotationrate")==0) return EsaRotationrateEnum;
 	      else if (strcmp(name,"EsaSolution")==0) return EsaSolutionEnum;
 	      else if (strcmp(name,"EsaTransitions")==0) return EsaTransitionsEnum;